CFM TWAIN

CFM TWAIN can be run from most applications supporting the TWAIN standard.
It opens up to your scanner modern desktop publishing (DTP), optical character
recognition (OCR) and document imaging (DIM) applications.

The program options depend on the capabilities of the respective scanner
as well as application requirements.

With the help of CFM TWAIN all functions of the scanners are supported.
Because of its variety of functions and options the scan results can be tailored to your wishes.


Scanner Options

The concept of using a self-reliant and regular TWAIN module consequently tailored to the needs of a particular manufacturer offers many advantages to the user and his daily scanning work. CFM TWAIN not only permits using the basic functions of scanners, but also enables the other important functions and options inherent in every scanner model to be fully exploited. This is of special interest to users operating on the PC platform under Windows. Everything that can be done on the scanner’s "hardware level" saves computing time and reduces memory requirements.


Supported Options

Supported Options, Functions etc.

The descriptive information in this help is based on examples. CFM TWAIN as furnished may deviate in a number of aspects. Please note that the respective scanner or scanner drivers always affect the available parameters, functions and options. If these are found to be unsupported by the relevant scanner or currently set mode they can not be activated. In particular, the window showing scanning options may considerably vary from what is said in the help and manual. Current information about operation or settings are included in the ReadMe files if necessary.


Development

CFM TWAIN is constantly updated to include state-of-the-art functions and be ready for other operating systems as well. Information about the latest development status can be obtained from CFM GmbH. Helpful suggestions from your side are always welcome and will be duly considered. Please do not hesitate to contact us.


Support

Support and update information are available to you under the following address:

Computer für Menschen GmbH
Wittener Str. 142
D - 58456 Witten

Germany

Telephone +49 (0) 2302 970 30 - 0
Fax +49 (0) 2302 970 30 - 30
Compuserve 100143,441
Internet http://www.cfm.de
support@cfm.de


System requirements

The following configuration is required:

• IBM PC/AT or compatible computer
• Minimum 16 MB RAM to suit the individual operating system, application and scanning job
• Analog colour monitor, minimum 256 colours, to suit the individual scanning job
• Graphics adapter, minimum 256 colours, to suit the respective scanning job
• Windows 2000
• SCSI cable
• SCSI terminator
• SCSI adapter supported by Windows 2000

Compatibility

• TWAIN compliant application programs
• SCSI scanners as configured in each individual case


Scanning in Brief
  1. Insert Document
    Place the document to be scanned on the scanning surface (observe guide mark).
  2. Settings
    From the displayed scan parameters choose the desired. The image size based on mode, format and resolution (memory requirements for the image) is automatically determined and displayed on the far left end of the user interface.
  3. Please start the desired scan option
    - Overview
     - Prescan
     - Finescan
     - Finescan to the clipboard

Detailed information about these buttons is given under the corresponding headword.


Functions

CFM TWAIN offers a multitude of adjustment capabilities to obtain scan results meeting the user’s requirements.

The descriptive information in this help is based on examples. CFM TWAIN as furnished may deviate in a number of aspects. Please note that the respective scanner or scanner drivers always affect the available parameters, functions and options. If these are found to be unsupported by the relevant scanner or currently set mode they can not be activated.

You can select adjustments in different ways:
Direct selection in pulldown menus and check boxes or input in dialog boxes of the user interface. Functions and options are available via register cards.

If you need further information about icons, dialog boxes or a pulldown menu, move the mouse cursor to the relevant position. The name will be displayed on the monitor, and in the status line on the far left hand side on the user interface, additional information about the function can be read, or the status of a started scan is displayed.

Some applications start a TWAIN module in hidden mode (without User Interface-Interaction) or can be set to this mode, particularly DIM or OCR programs. In this case the CFM TWAIN driver is controlled from the respective application. Note that not all applications are capable of doing this correctly. If necessary, you have to change settings for the TWAIN module in another application or scan on "open" mode again.

Adjustment capabilities of CFM TWAIN are described under the corresponding headword.


Overview

With a click on the button you can start the scanning operation with a low resolution in the best possible mode over the whole scanning area. This causes the whole scan area to be displayed on the monitor. Using the frame you can define a scan area for the prescan or the finescan.

For a new overview, for example after changing the scan original, please open the overview once more and start a new preview of the whole scan area by clicking the ‘overview’ button.

If desired, you can copy the content of the overview window to the clipboard by clicking the right mouse button within the displayed overview and then import it into various other applications by using 'paste'.


Prescan

Clicking this button starts the scanning operation based on all preset parameters and low resolution.
If you have chosen the feeder in the list box 'original' the number of pages to scan will be automatically set to one page and the first page in the document feeder will be scanned for the prescan. The selected scanning area is displayed in the external preview window to enable selection, assessment and, if necessary, correct parameters.

The size of the preview selection frame can be varied by dragging the handles as desired. If the frame is smaller than the preview window the frame as a whole can be moved. You have the possibility to copy the content of the prescan window to the clipboard by clicking the right mouse button within the displayed overview and then import it into various other applications by using 'paste'.

Recommended: If you want to establish the scanning area quickly without considering other parameters select the option overview for previewing and afterwards switch to the desired final scanning mode.


Finescan

Starts the main scanning operation based on all preset parameters. After the original has been scanned the image is transmitted to the application.


Finescan to the Clipboard

Clicking on this button will start the main scanning operation based on all preset parameters. After the original has been scanned the image is copied to the clipboard and can then be imported into various other applications by using ‘paste’.


Help

The integrated help function explains the most important program characteristics.
Click on the question mark in the top right corner and then click on the element you need information about, click on the help button or press F1.

If you need further information about icons, dialog boxes or a pulldown menu move the mouse cursor to the relevant location. The name will be displayed as a tool tip. In the status line of the user interface additional information about the function is provided.


Save

The currently selected settings will be stored when exiting CFM TWAIN by clicking 'Finish'. Settings are available when using CFM TWAIN the next time.


Cancel

A click on the ‘Cancel’ button terminates the current scanning process or closes CFM TWAIN if no scan process is active. The currently selected settings will not be saved.


Finish

Click OK to terminate CFM TWAIN, save all current settings and transfer the scan to the application unless this is automatically controlled by the relevant application.


Status Line

The status line provides useful information about the current scanning operation and image transfer to the application.


Scan parameter

e_scanpa.tif (8186 Byte)


Scan Mode

By clicking on one of the options shown in the MODE listbox you can determine the information scope for a given scanning task. The parameters available on the selected scanner are displayed, for example:

• Lineart (OCR, drawings)
• Photo/Letter
• Drop Photo
• Halftone (Screening=Output for printers) (*)
• 16 grey levels
• 64 grey levels
• 256 grey levels (IES, 3D-OCR
• False colours (with grey level scanners)
• 8 colours
• 8 colours halftone
• 256 colours
• 256 colours (diffusion)
• True colours (RGB)
• True colours (CMYK) (only available in certain applications)

(*) depends on scanner type

Corresponding to the selected scan mode a register card with additional settings is displayed.

Further information about the register card are given under the related headword chapter.


Original

In the list box the following options are available to suit the type of original you want to scan and depending on the installed hardware options of the scanner:

Flat-bed (Reflective)
Transparency (Transparency option)
Frontpage (ADF)
Backpage (ADF)
Duplex (ADF)
Duplex (front page first) (ADF)
Duplex (back page first) (ADF)

If you choose an ADF option in the field 'count' you can determine the desired number of pages to be scanned or use the all pages option. If the paper feed requires pauses, the media wait option must be selected.

If the selected application is only capable of importing one page at a time, only a single page can be preselected when the application informs CFM TWAIN of this limitation.


Format (Input/Output)

CFM TWAIN enables you to preselect standard formats. By clicking on a given parameter in the list box you select the desired scanning area. This setting governs the prescan and as well the finescan.

Maximum size Executive (7,25" x 10,5")
A4 (210 x 297 mm) Photo (150 x 100 mm)
A5 (148 x 210 mm) Photo (130 x 90 mm)
A6 (105 x 148 mm) Slide (60 x 70 mm)
B5 (176 x 275 mm) Slide (70 x60 mm)
B6 (125 x 176 mm) Slide (24 x 36 mm)
B7 (88 x 125 mm) Slide (36 x 24 mm)

Using the Format register card you can adapt the list to your requirements, ie you can create new user-defined formats, delete existing formats and change the order in which the formats appear in the list box.

You can choose from the two image-input-to-output-size selection boxes to suit your needs.

There is a visual link between the two format selection boxes. Click this link to break/make the connection between these boxes. If the boxes are linked the scan output is identical to the preselected input format (eg image input A6, image output A6).

If the link between input/output size boxes is broken the output size can be selected as desired with the width-height relation being maintained.

There is another link between the width-height formats of the image output. If you break this link you are able to define your preferred width or height and thus create, for instance, distorted images of the original.


Image Size

Based on mode, format and resolution the memory requirements for the relevant image are automatically determined and displayed.


Image

The image dimensions for the selected format are displayed in the IMAGE field which is divided into two sections: Image input and output size.
Moreover the unit is shown.


Resolution

Adjust the output resolution for the scan by setting the desired value with the slider or type it into the text box. Resolution can be set with single dpi increments from 30 dpi to five times the scanner’s optical resolution capability.


Resolution

Problems may arise because a scanner ‘sees’ by far better than can be displayed by most of the output devices, i.e. more tonal values such as grey and colour levels. What is more, it detects these characteristics differently than for instance the human eye does.

More often than not the resolution selected is too high for the respective purpose. Please note that using high resolutions of grey levels and colours requires much time and excessive memory space. The memory requirements are proportional to the square of the resolution. We thus recommend that you try the lowest possible resolution for a given purpose and deepen your knowledge by reading literature on the subject.

For Optical Character Recognition (OCR) and Document Imaging (DIM) you should use the scanning resolution your application provides for this purpose, e.g. 300 or 400 dpi in the lineart mode. Background colours and individual incoherent dots (pixels) can be faded out if they differ from the tonal value (greyscale or colour) of the text. In this case you can suppress these imperfections by carefully adjusting the threshold value - depending on the scanner - manually or automatically. If your optical character recognition software package supports 3D-OCR scanning is carried out in 256-greyscale mode.

Please follow the recommendations given in the user’s guide of your application.


Registercards

The registercards offer you additional settings for the selected scan mode and further functions (e.g. filter, gamma).


About

Shows information about the CFM product installed, for example version and release numbers, as well as copyright provisions.


Scanner

This registercard gives you an overview and further information about the connected scanners, allows to search for scanners and to select a connected scanner as the current scanner.


Scanner Selection

On the 'Scanner' register card you will find a list box which shows the connected scanners ready for use.

Clicking on a scanner selects the desired device and makes it the current scanner.
The SCSI adapter and ID numbers of adapter and scanner, the scanner’s technical identification name and the ROM and firmware versions are displayed.

In addition to this, further information about the selected scanner is shown, for example the optical resolution, installed hardware options and the version of the available CFM TWAIN driver.

Clicking the 'SCSI' button starts a new search for scanners which currently have the ready status. All devices found are displayed in the dialog box for scanner selection.


Search for Scanners

A click on the 'SCSI' button starts a search for operational scanners and the devices found will be displayed and updated in the scanner selection list box.


Filter

This registercard offers several possibilities to enhance the image quality.

The following filters are hardware-independent:
USM
Noise reduction
Descreening
Negative
Mirroring

Some filters are only available if they are supported by the scanner (e.g. White balance).


Quality

With the ‘Quality’ option you can determine the scan quality:

Quick-mode for high-speed scanning, good or very good quality for high-quality images.
The standard setting is quick-mode.


USM

In the list box you can select between three sharpening and three smoothing filters. The default setting provides for the filters to be deactivated.

The ‘Sharpen’ filter is used to sharpen blurred images. Depending on the filter selected the contrast of neighboring pixels is increased so that the image as a whole will appear more distinct.

The ‘Smoothing’ filter reduces the contrast between pixels to create a smoother/blurred image.


Noise Reduction

This filter removes interference from an image by aligning the pixels in a special area (3x3, 5x5, 7x7) to the surrounded pixels.


Descreening

With the Magazine filter (133 lpi) printed originals will be descreened. The moiré effect that will usually occur in a scanned image is eliminated.


White Balance

Using the WHITE BALANCE function enables you to blank out an undesired background in DIM and OCR jobs.

The WHITE BALANCE ‘scanner option’ lets you declare the brightest value of the original as the brightest value the scanner is able to detect.

In this manner, the gray background of a document, for example, is defined to be white which will greatly improve the contrast when handling OCR, DIM and drawings scanning jobs.

Depending on the scanner type the White Balance function has various names (eg automatic exposure, dynamic threshold, line drawing, text mode etc.). However, this function is not supported by all scanners.

As a rule but varying with scanner type the white balancing is made at the scanning area starting point. Therefore, the document should be precisely positioned (see scanner manual).

For example: The tone value is measured within the first 3 mm of the selected scan area. Therefore the background colour should be dominant in this zone. If this is not possible deactivate the option White Balance.

Some scanners with automatic threshold control employ a line by line balancing function. In this case, the dark background is eliminated only behind a text while it is retained in the area between the lines.


Negative

This scanner option enables all scanned image pixels to be inverted during the scanning process. In this way, a quasi-negative effect is created. This function is very suitable for colour negative slides.


Mirroring

This scanner option lets you flip an image to create a mirrored effect. The output will be a mirror reflection of the original.


Lineart

Additional settings you can adjust on this registercard, depending on the hardware options of the scanner, are contrast, brightness and filter (e.g. Average, MTF).


Brightness

The brightness can be controlled via slider. The number of brightness stages varies with the scanner model with the default setting being 0.
The image is made uniformly lighter by setting positive values while negative values will darken it uniformly.
A selected gamma curve is modified accordingly.


Contrast

The contrast can be adjusted by means of the scroll handle. The number of contrast stages depends on the scanner type with the default setting being 0.
Using positive values will brighten the light areas in an image and darken the dark ones while negative values result in darkening the lighter areas and lightening the dark image sections.


Threshold

Internally, the scanning operation performed by the scanner is based on the processing of tonal value scales.

In the Lineart mode (for archiving, fax documents etc.) the threshold function is used to determine the tone value at which a pixel is displayed and can be selected via slider. Pixels brighter than the set threshold are shown white while pixels darker than the set threshold are shown in black.

The setting thus governs the tone value at which the scanned pixels are displayed, eg using a medium threshold and internally scanned 256 grey scales will result in tone values 0-127 to be deleted while tone values 128-255 are displayed.

A fixed threshold leads to rather coarse results. Therefore, scanners for archiving purposes are capable of varying their threshold during scanning within predetermined limits; originals containing many tone value scales are shown in higher detail.
Also refer to: Dynamic Threshold


Dynamic Threshold

In lineart mode you can select with the scanner option Dynamic Threshold (DTC) a number of options improving the recognition of handwriting, broken lines or pale originals.
This DTC option adapts the treshold automatically to the contrast level of the original. Special DTC options can limit or increase this automatic contrast adjustement to suit the requirements of the original.

For example:

Normal
Default setting, the scanner sets the threshold automatically to improve the scanned image.

Character enhancement
Light or pale scripts/characters are darkened to improve the quality of the scanned image.

Background removal
The scanner discriminates the background colour of an original and sets the threshold automatically. In this manner, a grey background of a document is shown white which will greatly improve the contrast in case of OCR.


Speckle removal

Using the speckle removal option allows you to eliminate individual incoherent dots in an image in lineart mode to obtain a cleaned-up scan. The size of the search matrix can be adjusted. A larger matrix improves the effect but can also decompose signs.


Bold lining

Using the Scanner Option "Bold Lining" thin lines or letters can be intensified in lineart mode to attain better results for OCR or DIM requirements.


Edge extraction

Use this filter if outlines of an image, for design etc., are needed.


Colourfilter

Via the scanner-inherent colourfilter you can mask an unwanted colour and exclude it from the scan. In case of OCR and DIM operations the background of the original is erased, making character scanning clear. You can easily choose the drop-out colour (for example red, green or blue) from the listbox.


Average

By selecting the Average filter the average value of adjacent pixels, for example 2 x 2 = 4 pixels or 2 x 1 = 2 pixels, is taken as a basis. This filter can be employed in lineart, halftone and greyscale mode for softfocusing effects. 2 x 2 yields softer images than 2 x 1.


MTF

The MTF (modulation transfer) function is used with gray scales and colors to enhance and sharpen pale images so that they appear to be more lively.
In the lineart mode the thickness of thin lines is increased and image noise eliminated (automatic threshold).


Smoothing

With the SMOOTHING function irregularities encountered in the original can be eliminated in the lineart mode, for example, to enable a more precise scanning for OCR and DIM operations.


Photo

Photo/Letter

This mode detects photo (halftone) areas and letter (binary) areas of the original so that the binary areas are scanned in lineart mode, and the halftone areas are scanned in halftone mode.

Additional settings you can adjust on this register card are contrast, brightness, threshold, halftone pattern and the filters average and MTF. Detailed information about this options are given in the chapter register cards/Lineart and Halftone.


Drop Photo

This mode detects photo areas of the originals and excludes them while scanning the remaining letter (binary) areas of the original in lineart.

To improve your scan results you can additionally adjust the settings contrast, brightness, threshold and the filters average and MTF. More information about this functions are given under the corresponding headword.


Halftone

Via the HALFTONE list box you define the halftone pattern to be applied to the scan, for example:

Error diffusion
4x8 45° pattern (Screening)
6x6 90° pattern (Screening)
8x6 60° pattern (Screening)
8x8 90° pattern (Screening)
12x6 90° pattern (Screening)

In the error diffusion halftone mode a diffuse random-like pattern is produced.

The error diffusion feature is used with a lower resolution and when a desktop printer is used as output device. By using this setting a moiré pattern (undesired superimposed interference pattern) can be avoided. More background information is given under the headword Resolution in general.


Grey

Additional settings you can adjust on this registercard, depending on the hardware options of the scanner, are contrast, brightness and filter (e.g. Average, MTF).

Detailed information about this options are given in the chapter registercards/Lineart.


Colour

Additional settings you can adjust on this registercard are contrast and brightness.

Detailed information about this options are given in the chapter registercards/Lineart.


Gamma

The gamma correction affects the contrast and brightness of your image.

With the brightness function all the tone value levels of an image can be uniformly changed to lighter or darker as desired. Using the contrast function permits the dark brightness levels to be uniformly varied between darker and brighter.


Gamma settings

The gamma correction (gradation) function on the other hand enables an individual adjustment of the various individual tone value levels (gray and color scale levels).
The gamma correction is based on gamma curves. Applying a gamma curve improves image quality without throwing away information indiscriminately. The following types of gamma curves can be selected on the register card ‘Gamma’:

 | Increasing the brightness of
Name | Shadows | Midtones | Highlights
Normal | slight | medium | slight
Soft | medium | strong | medium
Hard | hardly | slight | medium
Linear | Default setting, outputs an image as scanned

Name | Effect of the gamma curves
Normal | Emphasizes contrast slightly to improve a scanned image
Soft | Weakens contrast to soften an image
Hard | Emphasizes contrast to sharpen an image
Linear | Outputs an image as scanned


Format

CFM TWAIN supplies a list of common formats.

Using the Format register card you can adapt the list to your requirements, ie you can create new user-defined formats, delete existing formats and change the order in which the formats appear in the list box.

To establish a user-defined format enter desired width and height figures into the respective fields. The following units are available in the list box: Pixels, inches, centimeters, millimeters. By clicking on the ‘save’ button you can save the defined format as default setting.


Endorser settings

In the dialog box in the ENDORSER field you can enter the text you want to print. The Endorser is activated when clicking on the Endorser field.

Depending on the respective Endorser the following is to be noted:

Maximum number of characters:
The endorsed message must, for example, not include more than 19 characters.

Type of character:
Capital letters A-Z, numbers 0-9 and the characters , - . / ‘:.

The following is created automatically:
Date, time and a consecutive number by including the following placeholders which have to be entered in lower-case letters:

dd = day mm = month yy = year
hh = hour mi = minute ss = second
n = serial number

The serial number can have 5 places as a maximum, its starting value is entered in the field Start volume while the increment size is entered below.


Endorser

The Endorser (SCANNER OPTION) is used to print alphanumeric characters on a document to facilitate filing of the scanned pages.